Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common
Class BusinessFrameController

    java.lang.Object
      de.jsystems.framework.common.Controller
          de.jsystems.framework.common.BusinessFrameController

All Implemented Interfaces:
  FrameworkKonstanten, IController, IMessageTexte, IProgressSender

Direct Known Subclasses:
  BusinessDesktopFrameController

public class BusinessFrameController
extends Controller

Controller für Frames. Der Controller steuert die komplette Logik für eine Oberfläche. Die Oberfläche und das zugehörige Model werden beim Controller registriert. Das Model verwaltet die Daten für die Oberfläche. Der Controller schreibt die Daten aus dem Model in die Oberfläche und liest sie auch aus der Oberfläche wieder aus und schreibt die ins Model. Für diesen Vorgang haben sowohl die View als auch das Model eine entsprechende Schnittstelle. So muss der Controller nur dann überschrieben werden, wenn spezielle Vorgänge gehandhabt werden sollen. Die Vorgänge Laden, Speichern und Drucken werden von diesem Controller schon erledigt. Alles andere muss in speziellen Controllern für die View erledigt werden.

Version:
  1.0
  Copyright by Jens Homm 2003
Author:
  Jens Homm JSYSTEMS

Field Summary
`protected BusinessFrame` | `businessFrame` Frame in dem die registrierten Views angezeigt werden
`protected BusinessMenu` | `frameMenu` Menü für ein Frame
`protected BusinessToolbar` | `frameToolbar` Toolbar für ein Frame

Fields inherited from class de.jsystems.framework.common.Controller
`actionManager, ausgewaehlteModels, ausgewaehlteView, menu, models, popup, printer, startbild, statuszeile, systemdialoge, toolbar, views`

Fields inherited from interface de.jsystems.framework.common.FrameworkKonstanten
`DEFAULT, EDITMODE, FRAMEWORK_LAF, METAL_LAF, MOTIF_LAF, NEWMODE, OHNE, ONLY_MENU, ONLY_TOOLBAR, SHOWMODE, WINDOWS_LAF`

Fields inherited from interface de.jsystems.framework.common.IMessageTexte
`FEHLER, FEHLER_AUFGETRETEN`

Constructor Summary
`BusinessFrameController()` Erzeugt einen neuen Controller fuer ein Frame.
`BusinessFrameController(int auspraegung)` Konstruktor Erzeugt einen neuen Controller fuer ein Frame.

Method Summary
`protected void` | `changeLookAndFeel(String lookAndFeel)` Ändert das Aussehen der Oberfläche.
`BusinessFrame` | `getBusinessFrame()` Gibt das Frame zurück, in dem alle Views angezeigt werden.
`void` | `hideFrame()` Löscht die Anzeige von der Oberfläche.
`void` | `removeLeftView()` Loescht die linke View aus der Anzeige.
`void` | `removeRightView()` Loescht die rechte View aus der Anzeige.
`void` | `setLeftView(BusinessView leftView)` Setzt die View fuer die linke Seite im Frame.
`void` | `setRightView(BusinessView rightView)` Setzt die View fuer die rechte Seite im Frame.
`void` | `showFrame(String name)` Zeigt das Frame mit der View an, die durch den Name spezifiziert wird.
`void` | `toggleStatusArea()` Löscht die Statuszeile von der Oberfläche, wenn sie sichtbar ist, bzw. macht sie sichtbar, wenn sie nicht angezeigt wird.
`void` | `toggleToolbar()` Löscht die Toolbar von der Oberfläche, wenn sie sichtbar ist, bzw. macht sie sichtbar, wenn sie nicht angezeigt wird.

Methods inherited from class de.jsystems.framework.common.Controller
`about, canExit, close, copy, createDefaultMenu, createDefaultPopup, createDefaultToolbar, createMenu, createNew, createPopup, createToolbar, cut, delete, edit, exceptionInAction, getActionManager, getAusgewaehlteModels, getMenue, getMessageList, getPopup, getStatusArea, getToolbar, getView, help, info, load, paste, print, redo, registerModel, registerView, registerViewActionControls, save, saveAs, setDefaultLookAndFeel, setLastLookAndFeel, setLookAndFeel, setStartUpProcent, setStartUpStatus, setStatusText, show, showPopup, undo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### businessFrame

    protected BusinessFrame businessFrame

  Frame in dem die registrierten Views angezeigt werden

### frameMenu

    protected BusinessMenu frameMenu

  Menü für ein Frame

### frameToolbar

    protected BusinessToolbar frameToolbar

  Toolbar für ein Frame

Constructor Detail

### BusinessFrameController

    public BusinessFrameController()

  Erzeugt einen neuen Controller fuer ein Frame.

### BusinessFrameController

    public BusinessFrameController(int auspraegung)

  Konstruktor Erzeugt einen neuen Controller fuer ein Frame. Zusaetzlich wird hier festgelegt, ob das Frame ein Menue und/oder eine Toolbar enthalten soll. Die Auspraegung kann dabei die Werte
  `DEFAULT - Erzeugt ein Standardmenü und eine Standardtoolbar`
  `- Erzeugt nur ein Standardmenü`
  `- Erzeugt nur eine Standdardtoolbar`
  `- Erzeugt nichts`
  annehmen.

Parameters:
  `auspraegung` - Festlegung, ob ein Menü und/oder eine Toolbar erzeugt werden.

Method Detail

### setRightView

    public void setRightView(BusinessView rightView)

  Setzt die View fuer die rechte Seite im Frame.

  Parameters:
    `rightView` - Die View fuer die rechte Seite.

### removeRightView

    public void removeRightView()

  Loescht die rechte View aus der Anzeige.

### setLeftView

    public void setLeftView(BusinessView leftView)

  Setzt die View fuer die linke Seite im Frame.

  Parameters:
    `leftView` - Die View fuer die linke Seite.

### removeLeftView

    public void removeLeftView()

  Loescht die linke View aus der Anzeige.

### showFrame

    public void showFrame(String name)
                   throws ViewNotFoundException

  Zeigt das Frame mit der View an, die durch den Name spezifiziert wird. Wenn es keine View mit diesem Namen gibt, wird eine Exception geworfen.

  Parameters:
    `name` - Der Name der anzuzeigenden View.
  Throws:
    `ViewNotFoundException` - wenn unter dem uebergebenen Namen keine View registriert wurde.

### hideFrame

    public void hideFrame()

  Löscht die Anzeige von der Oberfläche. Hierbei wird einfach das angezeigte Frame unsichtbar geschaltet.

### getBusinessFrame

    public BusinessFrame getBusinessFrame()

  Gibt das Frame zurück, in dem alle Views angezeigt werden.

  Returns:
    Das von diesem Controller verwaltete Frame.

### toggleToolbar

    public final void toggleToolbar()

  Löscht die Toolbar von der Oberfläche, wenn sie sichtbar ist, bzw. macht sie sichtbar, wenn sie nicht angezeigt wird. Ist hier mit dem Modifier 'final' überschrieben, da dieses Verhalten nicht geändert werden soll.

  Overrides:
    `toggleToolbar` in class `Controller`

### toggleStatusArea

    public final void toggleStatusArea()

  Löscht die Statuszeile von der Oberfläche, wenn sie sichtbar ist, bzw. macht sie sichtbar, wenn sie nicht angezeigt wird. Ist hier mit dem Modifier 'final' überschrieben, da dieses Verhalten nicht geändert werden soll.

  Overrides:
    `toggleStatusArea` in class `Controller`

### changeLookAndFeel

    protected void changeLookAndFeel(String lookAndFeel)

  Ändert das Aussehen der Oberfläche. Als Parameter können folgende Werte übergeben werden:
  - `WINDOWS_LAF`
  - `METAL_LAF`
  - `MOTIF_LAF`
  - `FRAMEWORK_LAF`
    Methode aus dem Controller überschrieben, da das gesamte Frame umgeschaltet werden soll. Dazu ist dann nach Auswahl des LookAndFeel der Aufruf
    `SwingUtilities.updateComponentTreeUI(businessFrame);`
    erforderlich. Deshalb ist die Methode hier auch FINAL ueberschrieben, damit hier nicht ploetzlich Zeichnungsfehler in der Oberflaeche auftreten koennen.

  Parameters:
    `lookAndFeel` - Das LookAndFeel fuer die Oberflaeche.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD